import request from '@/utils/request';
import { ServiceListVO, ServiceOrderVO } from './types';
import { AxiosPromise } from 'axios';

// 获取可用服务项目列表
export function listOnStore(): AxiosPromise<ServiceListVO[]> {
  return request({
    url: '/service/list/listOnStore',
    method: 'get'
  });
}

/**
 * 查询下单页的服务列表
 * @returns {*}
 */
export const listServiceOnOrder = (): AxiosPromise<ServiceOrderVO[]> => {
  return request({
    url: '/service/list/listOnOrder',
    method: 'get'
  });
};
